# Changelog

## [integrations/chroma-v0.22.0] - 2024-09-30

### 🚀 Features

- Chroma - allow remote HTTP connection (#1094)
- Chroma - defer the DB connection (#1107)

### 🐛 Bug Fixes

- Fix chroma linting; rm numpy (#1063)

Co-authored-by: Silvano Cerza <3314350+silvanocerza@users.noreply.github.com>
- Filters in chroma integration (#1072)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Chroma - ruff update, don't ruff tests (#983)
- Update ruff linting scripts and settings (#1105)

## [integrations/chroma-v0.21.1] - 2024-07-17

### 🐛 Bug Fixes

- `ChromaDocumentStore` - discard `meta` items when the type of their value is not supported in Chroma (#907)

## [integrations/chroma-v0.21.0] - 2024-07-16

### 🚀 Features

- Add metadata parameter to ChromaDocumentStore. (#906)

## [integrations/chroma-v0.20.1] - 2024-07-15

### 🚀 Features

- Added distance_function property to ChromadocumentStore (#817)
- Add filter_policy to chroma integration (#826)

### 🐛 Bug Fixes

- Allow search in ChromaDocumentStore without metadata (#863)
- `Chroma` - Fallback to default filter policy when deserializing retrievers without the init parameter (#897)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)

## [integrations/chroma-v0.18.0] - 2024-05-31

## [integrations/chroma-v0.17.0] - 2024-05-10

## [integrations/chroma-v0.16.0] - 2024-05-02

### 📚 Documentation

- Small consistency improvements (#536)
- Disable-class-def (#556)

## [integrations/chroma-v0.15.0] - 2024-03-01

## [integrations/chroma-v0.14.0] - 2024-02-29

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme
- Serialize the path to the local db (#506)

### 📚 Documentation

- Update category slug (#442)
- Review chroma integration (#501)

## [integrations/chroma-v0.13.0] - 2024-02-13

## [integrations/chroma-v0.12.0] - 2024-02-06

### 🚀 Features

- Generate API docs (#262)

## [integrations/chroma-v0.11.0] - 2024-01-18

### 🐛 Bug Fixes

- Chroma DocumentStore creation for pre-existing collection name (#157)

## [integrations/chroma-v0.9.0] - 2023-12-20

### 🐛 Bug Fixes

- Fix project urls (#96)

### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

## [integrations/chroma-v0.8.1] - 2023-12-05

### 🐛 Bug Fixes

- Fix import and increase version (#77)

## [integrations/chroma-v0.8.0] - 2023-12-04

### 🐛 Bug Fixes

- Fix license headers

<!-- generated by git-cliff -->
